package com.test;

import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.hibernate.cfg.Configuration;

import java.io.Serializable;


public class HibernateUtil {
    private static SessionFactory sf;

    public static Session getSession(){
        return sf.getCurrentSession();
    }

    public static SessionFactory getSessionFactory(){
        return sf;
    }

    private static void configureSessionFactory(){
        if(sf == null){
            sf = new Configuration().configure("hibernate.cfg.xml").buildSessionFactory();
        }
    }

    public static void initHibernate(){
       configureSessionFactory();
    }

    public static Object getObject(Class clazz, Serializable key){
        return getSession().get(clazz, key);
    }

    public static void flushSession(){
        getSession().flush();
    }
}
